(************** Content-type: application/mathematica **************

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     12919,        468]*)
(*NotebookOutlinePosition[     13600,        491]*)
(*  CellTagsIndexPosition[     13556,        487]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["\:041d\:0435\:044f\:0432\:043d\:044b\:0435 \:0444\:0443\:043d\:043a\
\:0446\:0438\:0438", "Title"],

Cell[CellGroupData[{

Cell[TextData[{
  "\:0412\:044b\:0447\:0438\:0441\:043b\:0438\:0442\:044c \:043f\:0440\:043e\
\:0438\:0437\:0432\:043e\:0434\:043d\:044b\:0435 \:0444\:0443\:043d\:043a\
\:0446\:0438\:0439, \:0437\:0430\:0434\:0430\:043d\:043d\:044b\:0445 \:043d\
\:0435\:044f\:0432\:043d\:043e: ",
  Cell[BoxData[
      \(\(x\^2\) \[ExponentialE]\^\(2  y\) - \(y\^2\) \[ExponentialE]\^\(2  x\
\) = 0\)]],
  ", ",
  Cell[BoxData[
      \(z\ ln \((x + z)\) - \(x\ y\)\/z = 0\)]],
  ", ",
  Cell[BoxData[
      \(z\^3 - 4  x\ z\  + y\^2 - 4 = 0\)]],
  " \:0432 \:0442\:043e\:0447\:043a\:0435 ",
  Cell[BoxData[
      \(\((1, \(-2\), 2)\)\)]]
}], "ExerciseMain",
  CellLabelAutoDelete->False],

Cell[CellGroupData[{

Cell[TextData[{
  "\:0420\:0430\:0441\:0441\:043c\:043e\:0442\:0440\:0438\:043c \:0444\:0443\
\:043d\:043a\:0446\:0438\:044e",
  StyleBox[" ",
    FontSize->18],
  Cell[BoxData[
      \(\(x\^2\) \[ExponentialE]\^\(2  y\) - \(y\^2\) \[ExponentialE]\^\(2  x\
\) = 0\)],
    FontSize->16]
}], "Exercise",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[TextData[{
  "\:0412\:0432\:0435\:0434\:0435\:043c \:0444\:0443\:043d\:043a\:0446\:0438\
\:044e ",
  Cell[BoxData[
      \(f\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[BoxData[
    \(f[x_, 
        y_] := \(x\^2\) \[ExponentialE]\^\(2  y\) - \(y\^2\) \
\[ExponentialE]\^\(2  x\)\)], "Input",
  CellLabel->"In[4]:=",
  CellLabelAutoDelete->False],

Cell[TextData[{
  "\:041f\:043e\:0441\:0447\:0438\:0442\:0430\:0435\:043c \:043f\:043e\:043b\
\:043d\:0443\:044e \:043f\:0440\:043e\:0438\:0437\:0432\:043e\:0434\:043d\
\:0443\:044e \:043e\:0442 \:043d\:0435\:044f\:0432\:043d\:043e\:0439 \:0444\
\:0443\:043d\:043a\:0446\:0438\:0438 \:043f\:043e \:043f\:0435\:0440\:043c\
\:0435\:043d\:043d\:043e\:0439 ",
  Cell[BoxData[
      \(x\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
    \(Dt[f[x, y] \[Equal] 0, x]\)], "Input",
  CellLabel->"In[5]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \(2\ \[ExponentialE]\^\(2\ y\)\ x - 2\ \[ExponentialE]\^\(2\ x\)\ y\^2 + 
        2\ \[ExponentialE]\^\(2\ y\)\ x\^2\ Dt[y, x] - 
        2\ \[ExponentialE]\^\(2\ x\)\ y\ Dt[y, x] == 0\)], "Output",
  CellLabel->"Out[5]=",
  CellLabelAutoDelete->False]
}, Open  ]],

Cell[TextData[{
  "\:041e\:0441\:0442\:0430\:043b\:043e\:0441\:044c \:0442\:043e\:043b\:044c\
\:043a\:043e \:0440\:0430\:0437\:0440\:0435\:0448\:0438\:0442\:044c \:044d\
\:0442\:043e \:0443\:0440\:0430\:0432\:043d\:0435\:043d\:0438\:0435 \:043e\
\:0442\:043d\:043e\:0441\:0438\:0442\:0435\:043b\:044c\:043d\:043e \:043f\
\:0440\:043e\:0438\:0437\:0432\:043e\:0434\:043d\:043e\:0439 ",
  Cell[BoxData[
      \(y\)]],
  " \:043f\:043e ",
  Cell[BoxData[
      \(x\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[Dt[f[x, y], x] \[Equal] 0, Dt[y, x]]\)], "Input",
  CellLabel->"In[6]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \({{Dt[y, 
            x] \[Rule] \(\(-2\)\ \[ExponentialE]\^\(2\ y\)\ x + 2\ \
\[ExponentialE]\^\(2\ x\)\ y\^2\)\/\(2\ \[ExponentialE]\^\(2\ y\)\ x\^2 - 2\ \
\[ExponentialE]\^\(2\ x\)\ y\)}}\)], "Output",
  CellLabel->"Out[6]=",
  CellLabelAutoDelete->False]
}, Open  ]],

Cell[BoxData[
    \(Clear[f]\)], "Input",
  CellLabel->"In[7]:=",
  CellLabelAutoDelete->False]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "\:0420\:0430\:0441\:0441\:043c\:043e\:0442\:0440\:0438\:043c \:0444\:0443\
\:043d\:043a\:0446\:0438\:044e",
  StyleBox[" ",
    FontSize->18],
  Cell[BoxData[
      \(\(\(\ \)\(z\ ln \((x + z)\) - \(x\ y\)\/z = 0\)\)\)],
    FontSize->16]
}], "Exercise",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[TextData[{
  "\:0412\:0432\:0435\:0434\:0435\:043c \:0444\:0443\:043d\:043a\:0446\:0438\
\:044e ",
  Cell[BoxData[
      \(f\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[BoxData[
    \(f[x_, y_, z_] := \ z\ Log[x + z] - \(x\ y\)\/z\)], "Input",
  CellLabel->"In[8]:=",
  CellLabelAutoDelete->False],

Cell[TextData[{
  "\:041f\:043e\:0441\:0447\:0438\:0442\:0430\:0435\:043c \:0447\:0430\:0441\
\:0442\:043d\:044b\:0435 \:043f\:0440\:043e\:0438\:0437\:0432\:043e\:0434\
\:043d\:044b\:0435 \:043e\:0442 \:043d\:0435\:044f\:0432\:043d\:043e\:0439 \
\:0444\:0443\:043d\:043a\:0446\:0438\:0438 \:043f\:043e \:043f\:0435\:0440\
\:043c\:0435\:043d\:043d\:044b\:043c ",
  Cell[BoxData[
      \(x\)]],
  " \:0438 ",
  Cell[BoxData[
      \(y\)]],
  "."
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[TextData[{
  "\:0421\:043d\:0430\:0447\:0430\:043b\:0430 \:043e\:043f\:0440\:0435\:0434\
\:0435\:043b\:0438\:043c, \:0447\:0442\:043e \:043f\:0435\:0440\:0435\:043c\
\:0435\:043d\:043d\:044b\:0435 ",
  Cell[BoxData[
      \(x\)]],
  " \:0438 ",
  Cell[BoxData[
      \(y\)]],
  " \:043d\:0435 \:0437\:0430\:0432\:0438\:0441\:044f\:0442 \
\:0434\:0440\:0443\:0433 \:043e\:0442 \:0434\:0440\:0443\:0433\:0430 "
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[BoxData[{
    \(\(y /: Dt[y, x] = 0;\)\), "\[IndentingNewLine]", 
    \(\(x /: Dt[x, y] = 0;\)\)}], "Input",
  CellLabel->"In[9]:=",
  CellLabelAutoDelete->False],

Cell[TextData[{
  "\:041f\:0440\:043e\:0438\:0437\:0432\:043e\:0434\:043d\:0430\:044f ",
  Cell[BoxData[
      \(z\)]],
  " \:043f\:043e ",
  Cell[BoxData[
      \(x\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[Dt[f[x, y, z] \[Equal] 0, x], Dt[z, x]]\)], "Input",
  CellLabel->"In[11]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \({{Dt[z, 
            x] \[Rule] \(y\/z - z\/\(x + z\)\)\/\(\(x\ y\)\/z\^2 + z\/\(x + z\
\) + Log[x + z]\)}}\)], "Output",
  CellLabel->"Out[11]=",
  CellLabelAutoDelete->False]
}, Open  ]],

Cell[TextData[{
  "\:041f\:0440\:043e\:0438\:0437\:0432\:043e\:0434\:043d\:0430\:044f ",
  Cell[BoxData[
      \(z\)]],
  " \:043f\:043e ",
  Cell[BoxData[
      \(y\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[Dt[f[x, y, z] \[Equal] 0, y], Dt[z, y]]\)], "Input",
  CellLabel->"In[12]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \({{Dt[z, y] \[Rule] 
          x\/\(z\ \((\(x\ y\)\/z\^2 + z\/\(x + z\) + Log[x + z])\)\)}}\)], \
"Output",
  CellLabel->"Out[12]=",
  CellLabelAutoDelete->False]
}, Open  ]],

Cell[BoxData[
    \(Clear[f, x, y]\)], "Input",
  CellLabel->"In[13]:=",
  CellLabelAutoDelete->False]
}, Closed]],

Cell[CellGroupData[{

Cell[TextData[{
  "\:0420\:0430\:0441\:0441\:043c\:043e\:0442\:0440\:0438\:043c \:0444\:0443\
\:043d\:043a\:0446\:0438\:044e",
  StyleBox[" ",
    FontSize->18],
  Cell[BoxData[
      \(z\^3 - 4  x\ z\  + y\^2 - 4 = 0\)]]
}], "Exercise",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[TextData[{
  "\:0412\:0432\:0435\:0434\:0435\:043c \:0444\:0443\:043d\:043a\:0446\:0438\
\:044e ",
  Cell[BoxData[
      \(f\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[BoxData[
    \(f[x_, y_, z_] := z\^3 - 4  x\ z\  + y\^2 - 4\)], "Input",
  CellLabel->"In[14]:=",
  CellLabelAutoDelete->False],

Cell[TextData[{
  "\:041f\:043e\:0441\:0447\:0438\:0442\:0430\:0435\:043c \:0447\:0430\:0441\
\:0442\:043d\:044b\:0435 \:043f\:0440\:043e\:0438\:0437\:0432\:043e\:0434\
\:043d\:044b\:0435 \:043e\:0442 \:043d\:0435\:044f\:0432\:043d\:043e\:0439 \
\:0444\:0443\:043d\:043a\:0446\:0438\:0438 \:043f\:043e \:043f\:0435\:0440\
\:043c\:0435\:043d\:043d\:044b\:043c ",
  Cell[BoxData[
      \(x\)]],
  " \:0438 ",
  Cell[BoxData[
      \(y\)]],
  "."
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[TextData[{
  "\:0421\:043d\:0430\:0447\:0430\:043b\:0430 \:043e\:043f\:0440\:0435\:0434\
\:0435\:043b\:0438\:043c, \:0447\:0442\:043e \:043f\:0435\:0440\:0435\:043c\
\:0435\:043d\:043d\:044b\:0435 ",
  Cell[BoxData[
      \(x\)]],
  " \:0438 ",
  Cell[BoxData[
      \(y\)]],
  " \:043d\:0435 \:0437\:0430\:0432\:0438\:0441\:044f\:0442 \
\:0434\:0440\:0443\:0433 \:043e\:0442 \:0434\:0440\:0443\:0433\:0430 "
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[BoxData[{
    \(\(y /: Dt[y, x] = 0;\)\), "\[IndentingNewLine]", 
    \(\(x /: Dt[x, y] = 0;\)\)}], "Input",
  CellLabel->"In[15]:=",
  CellLabelAutoDelete->False],

Cell[TextData[{
  "\:041f\:0440\:043e\:0438\:0437\:0432\:043e\:0434\:043d\:0430\:044f ",
  Cell[BoxData[
      \(z\)]],
  " \:043f\:043e ",
  Cell[BoxData[
      \(x\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[Dt[f[x, y, z] \[Equal] 0, x], Dt[z, x]]\)], "Input",
  CellLabel->"In[17]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \({{Dt[z, x] \[Rule] \(4\ z\)\/\(\(-4\)\ x + 3\ z\^2\)}}\)], "Output",
  CellLabel->"Out[17]=",
  CellLabelAutoDelete->False]
}, Open  ]],

Cell[TextData[{
  "\:041f\:0440\:043e\:0438\:0437\:0432\:043e\:0434\:043d\:0430\:044f ",
  Cell[BoxData[
      \(z\)]],
  " \:043f\:043e ",
  Cell[BoxData[
      \(y\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
    \(Solve[Dt[f[x, y, z] \[Equal] 0, y], Dt[z, y]]\)], "Input",
  CellLabel->"In[18]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \({{Dt[z, 
            y] \[Rule] \(-\(\(2\ y\)\/\(\(-4\)\ x + 
                  3\ z\^2\)\)\)}}\)], "Output",
  CellLabel->"Out[18]=",
  CellLabelAutoDelete->False]
}, Open  ]],

Cell[TextData[{
  "\:0412\:044b\:0447\:0438\:0441\:043b\:0438\:043c \:044d\:0442\:0438 \:043f\
\:0440\:043e\:0438\:0437\:0432\:043e\:0434\:043d\:044b\:0435 \:0432 \:0442\
\:043e\:0447\:043a\:0435 ",
  Cell[BoxData[
      \(\((1, \(-2\), 2)\)\)]]
}], "Text",
  CellLabelAutoDelete->False,
  FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(%%\)\(/.\)\({x \[Rule] 1, y \[Rule] \(-2\), 
        z \[Rule] 
          2}\)\(\ \ \ \ \ \ \ \)\( (*\ \:043f\:0440\:043e\:0438\:0437\:0432\
\:043e\:0434\:043d\:0430\:044f\ \:043f\:043e\ x\ *) \)\)\)], "Input",
  CellLabel->"In[19]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \(General::"ivar" \(\(:\)\(\ \)\) 
      "\!\(1\) is not a valid variable."\)], "Message",
  CellLabel->"From In[19]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \({{Dt[2, 1] \[Rule] 1}}\)], "Output",
  CellLabel->"Out[19]=",
  CellLabelAutoDelete->False]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(\(%%\)\(/.\)\({x \[Rule] 1, y \[Rule] \(-2\), 
        z \[Rule] 
          2}\)\(\ \ \ \ \ \ \ \ \)\( (*\ \:043f\:0440\:043e\:0438\:0437\:0432\
\:043e\:0434\:043d\:0430\:044f\ \:043f\:043e\ y\ *) \)\)\)], "Input",
  CellLabel->"In[20]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \(General::"ivar" \(\(:\)\(\ \)\) 
      "\!\(-2\) is not a valid variable."\)], "Message",
  CellLabel->"From In[20]:=",
  CellLabelAutoDelete->False],

Cell[BoxData[
    \({{Dt[2, \(-2\)] \[Rule] 1\/2}}\)], "Output",
  CellLabel->"Out[20]=",
  CellLabelAutoDelete->False]
}, Open  ]],

Cell[BoxData[
    \(Clear[f, x, y]\)], "Input",
  CellLabel->"In[21]:=",
  CellLabelAutoDelete->False]
}, Closed]]
}, Open  ]]
},
FrontEndVersion->"4.1 for Microsoft Windows",
ScreenRectangle->{{0, 1024}, {0, 677}},
WindowSize->{492, 557},
WindowMargins->{{178, Automatic}, {Automatic, 8}},
StyleDefinitions -> "Classroom.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1705, 50, 104, 1, 67, "Title"],

Cell[CellGroupData[{
Cell[1834, 55, 671, 18, 114, "ExerciseMain"],

Cell[CellGroupData[{
Cell[2530, 77, 347, 11, 50, "Exercise"],
Cell[2880, 90, 191, 7, 30, "Text"],
Cell[3074, 99, 182, 5, 50, "Input"],
Cell[3259, 106, 443, 10, 30, "Text"],

Cell[CellGroupData[{
Cell[3727, 120, 112, 3, 50, "Input"],
Cell[3842, 125, 270, 5, 49, "Output"]
}, Open  ]],
Cell[4127, 133, 523, 13, 50, "Text"],

Cell[CellGroupData[{
Cell[4675, 150, 129, 3, 50, "Input"],
Cell[4807, 155, 277, 6, 67, "Output"]
}, Open  ]],
Cell[5099, 164, 95, 3, 50, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[5231, 172, 319, 10, 36, "Exercise"],
Cell[5553, 184, 191, 7, 30, "Text"],
Cell[5747, 193, 133, 3, 60, "Input"],
Cell[5883, 198, 501, 14, 50, "Text"],
Cell[6387, 214, 471, 13, 30, "Text"],
Cell[6861, 229, 167, 4, 70, "Input"],
Cell[7031, 235, 227, 9, 30, "Text"],

Cell[CellGroupData[{
Cell[7283, 248, 133, 3, 50, "Input"],
Cell[7419, 253, 196, 5, 79, "Output"]
}, Open  ]],
Cell[7630, 261, 227, 9, 30, "Text"],

Cell[CellGroupData[{
Cell[7882, 274, 133, 3, 50, "Input"],
Cell[8018, 279, 181, 5, 70, "Output"]
}, Open  ]],
Cell[8214, 287, 102, 3, 50, "Input"]
}, Closed]],

Cell[CellGroupData[{
Cell[8353, 295, 283, 9, 36, "Exercise"],
Cell[8639, 306, 191, 7, 30, "Text"],
Cell[8833, 315, 132, 3, 50, "Input"],
Cell[8968, 320, 501, 14, 50, "Text"],
Cell[9472, 336, 471, 13, 30, "Text"],
Cell[9946, 351, 168, 4, 70, "Input"],
Cell[10117, 357, 227, 9, 30, "Text"],

Cell[CellGroupData[{
Cell[10369, 370, 133, 3, 50, "Input"],
Cell[10505, 375, 143, 3, 62, "Output"]
}, Open  ]],
Cell[10663, 381, 227, 9, 30, "Text"],

Cell[CellGroupData[{
Cell[10915, 394, 133, 3, 50, "Input"],
Cell[11051, 399, 184, 5, 62, "Output"]
}, Open  ]],
Cell[11250, 407, 303, 8, 30, "Text"],

Cell[CellGroupData[{
Cell[11578, 419, 289, 6, 50, "Input"],
Cell[11870, 427, 168, 4, 25, "Message"],
Cell[12041, 433, 111, 3, 49, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[12189, 441, 291, 6, 50, "Input"],
Cell[12483, 449, 169, 4, 25, "Message"],
Cell[12655, 455, 119, 3, 62, "Output"]
}, Open  ]],
Cell[12789, 461, 102, 3, 50, "Input"]
}, Closed]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

